{% extends 'template.html' %}
{% block extracss %}
    <!-- Datatables -->
    <link href="/static/css/dataTables.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/buttons.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/fixedHeader.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/responsive.bootstrap.min.css" rel="stylesheet">
    <link href="/static/css/scroller.bootstrap.min.css" rel="stylesheet">
    {% block extrahead_list %}

    {% endblock %}
{% endblock %}
{% block cuerpo %}  
{% load math_filter %}
<strong> <h3>CONTROL MENSUAL DE HORAS DE TRABAJO</h2></strong> 
<p><h2>RESPONSABLE : <small>{{ responsable }}</small></h2></p>
<p><h2>MES : <small>{{ mes_str }}<select id="mes" name="mes" onchange="cambiarfecha(document.getElementById('dia').value, document.getElementById('mes').value );">{% for mes1 in meses %}<option value="{{ mes1.mes }}" {% if mes1.mes == mes %} selected  {% endif %}>{{ mes1.mes_str }}</option>{% endfor %}{{ dia }}</select>{{ anio_str }}</small></h2></p>
{% regroup object_list|dictsort:"tea.etapa.id" by tea.etapa.nombre_etapa as actividades_by_fase  %}
   {% for etapas in actividades_by_fase %}
   <div class="x_panel">
       <div class="x_title">
          <p><h2>ETAPA : <small>{{ etapas.grouper }}</small></h2></p>          
              <ul class="nav navbar-right panel_toolbox">
                <li><a class="collapse-link"><i class="fa fa-chevron-up"></i></a>
                </li>
                <li class="dropdown">
                    <a href="#" class="dropdown-toggle" data-toggle="dropdown" role="button" aria-expanded="false"><i class="fa fa-wrench"></i></a>
                       <div class="dropdown-menu" aria-labelledby="dropdownMenuButton">
                         <a class="dropdown-item" href="#">Settings 1</a>
                         <a class="dropdown-item" href="#">Settings 2</a>
                       </div>
                </li>
                <li><a class="close-link"><i class="fa fa-close"></i></a></li>
              </ul>
              <div class="clearfix"></div>
       </div>
    <div class="x_content">
        <table 
        class="table table-striped table-bordered dt-responsive nowrap"
        cellspacing="0" width="100%">
            <thead>
               <tr>
                  <td rowspan="2"><strong>No</strong></td>
                  <td rowspan="2"><strong>TRABAJO</strong></td>
                  <td><strong>Fecha</strong></td>
                  {% regroup etapas.list|dictsort:"fecha" by fecha as actividades_by_fecha  %}
                  {% for control in actividades_by_fecha %}
                     <td><strong>{{ control.grouper|date:'D' }}</strong></td>
                  {% endfor %}
                  <td rowspan="2"> <strong>Total etapas</strong></td>
               </tr>
               <tr>
                  <td><strong>Dia</strong></td>
                  {% regroup etapas.list|dictsort:"fecha" by fecha as actividades_by_fecha  %}
                  {% for control in actividades_by_fecha %}
                     <td><strong>{{ control.grouper|date:'d' }}</strong></td>
                  {% endfor %}
                </tr>   
             </thead>
            <tbody>
              {% regroup etapas.list|dictsort:"asignacion.proyecto.id" by asignacion.proyecto.nombre_proyecto as actividades_by_proyecto  %}    
              {% for control in actividades_by_proyecto %}               
                 <tr>
                    <td>{{ forloop.counter }}</td>
                    <td>{{ control.grouper }}</td>
                    <td></td>
                    {% regroup control.list|dictsort:"fecha" by fecha as actividades_by_fecha1  %}
                    {% for dia in actividades_by_fecha1 %}
                    <td><div class="row">
                        <div class="col-xs-2">
                          <input type="text"  placeholder="" maxlength="2" size="2" value="{{ dia.list|suma_total }}">                            
                        </div>                        
                      </div>
                    </td>
                    {% endfor %}
                    <td><input type="text"  placeholder="" maxlength="2" size="2" value="{{ control.list|suma_total }}"></td>  
                 </tr>
                 {% endfor %}
            </tbody>    
        </table>
    </div>
</div>
{% endfor %}
{% endblock %}
{% block extrajs %}
    <!-- Datatables -->
    <script src="/static/js/jquery.dataTables.min.js"></script>
    <script src="/static/js/dataTables.bootstrap.min.js"></script>
    <script src="/static/js/dataTables.buttons.min.js"></script>
    <script src="/static/js/buttons.bootstrap.min.js"></script>
    <script src="/static/js/buttons.flash.min.js"></script>
    <script src="/static/js/buttons.html5.min.js"></script>
    <script src="/static/js/buttons.print.min.js"></script>
    <script src="/static/js/dataTables.fixedHeader.min.js"></script>
    <script src="/static/js/dataTables.keyTable.min.js"></script>
    <script src="/static/js/dataTables.responsive.min.js"></script>
    <script src="/static/js/responsive.bootstrap.js"></script>
    <script src="/static/js/dataTables.scroller.min.js"></script>
    <script src="/static/js/jszip.min.js"></script>
    <script src="/static/js/pdfmake.min.js"></script>
    <script src="/static/js/vfs_fonts.js"></script>
    <script>
        $(function () {
            $('#datatable-responsive').DataTable({
                "destroy": true,
                "scrollY": true,
                "language": {
                    "sSearch": "Buscar",
                    "oPaginate": {
                      "sFirst": "Primero",
                      "sLast": "Último",
                      "sNext": "Siguiente",
                      "sPrevious": "Anterior"
                    },
                    "lengthMenu": "Mostrar _MENU_ registros",
                    "sInfo": "Mostrando registros del _START_ al _END_ de un total de _TOTAL_ registros",
                }
            });
         });
    </script>  
{% endblock %}